%define		extension	vertical-workspaces
Summary:	Customize your GNOME Shell UX to suit your workflow
Name:		gnome-shell-extension-%{extension}
Version:	48.8
Release:	1
License:	GPL-3.0-only
Source0:	https://github.com/G-dH/vertical-workspaces/archive/v%{version}/%{extension}-%{version}.tar.gz
# Source0-md5:	c45d0a49ab4af1433e56385da2ea5ef7
URL:		https://github.com/G-dH/vertical-workspaces
BuildRequires:	gettext
Requires:	gnome-shell >= 42
BuildArch:	noarch

%description
Customize your GNOME Shell UX to suit your workflow, whether you like
horizontally or vertically stacked workspaces.

%prep
%setup -q -n %{extension}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/{gnome-shell/extensions/%{extension}@G-dH.github.com,glib-2.0/schemas}

cp -rp lib *.js stylesheet.css metadata.json \
    $RPM_BUILD_ROOT%{_datadir}/gnome-shell/extensions/%{extension}@G-dH.github.com/

cp -p schemas/*.gschema.xml $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/

# install locale files
cd po
for po in *.po; do
    install -d $RPM_BUILD_ROOT%{_localedir}/${po%.po}/LC_MESSAGES
    msgfmt -o $RPM_BUILD_ROOT%{_localedir}/${po%.po}/LC_MESSAGES/%{extension}.mo $po
done
cd ..

%find_lang %{extension}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{extension}.lang
%defattr(644,root,root,755)
%doc LICENSE
%doc CHANGELOG.md
%{_datadir}/gnome-shell/extensions/%{extension}@G-dH.github.com
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml
%changelog
* Sun Jun 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-shell-extension-vertical-workspaces.git;a=log;h=master

* Mon Jun 23 2025 Jan Rękorajski <baggins@pld-linux.org> fe25267
- new

